# SafetyIOCardDefinition

# Class SafetyIOCardDefinition

Namespace: TecnoPack
Assembly: CO0002_Templ_FlowpackHMI_V00_9_3.dll

Definizione di una scheda IO di sicurezza.
Estende aggiungendo il tipo di uscita.

    public class SafetyIOCardDefinition : BaseIOCardDefinition

#### Inheritance

object ←
BaseIOCardDefinition ←
SafetyIOCardDefinition

#### Inherited Members

BaseIOCardDefinition.Type,
BaseIOCardDefinition.NodeType,
BaseIOCardDefinition.IODirection,
BaseIOCardDefinition.Colors,
object.GetType(),
object.MemberwiseClone(),
object.ToString(),
object.Equals(object?),
object.Equals(object?, object?),
object.ReferenceEquals(object?, object?),
object.GetHashCode()

## Constructors

### SafetyIOCardDefinition()

    public SafetyIOCardDefinition()

## Properties

### OutputType

Specifica il tipo di uscita associato alla scheda di sicurezza.

    public string OutputType { get; set; }

#### Property Value

string